<?php

// for ecard image verification mod for Coppermine Photo Gallery, version 1.4.9

// alternate image code, just rename this to randomimage.php and upload to replace the original randomimage.php file
// be sure to keep a copy of the original if you want to go back to the plain background image

// !!! don't edit this file except for line 20, choose 2 or 3 only! 

session_start();

// make a string with all the characters that we want to use as the verification code
// left out o, 0, U and V - look too much alike
$alphanum  = "ABCDEFGHIJKLMNPQRSTWXYZ123456789";

// generate the verication code 
$rand = substr(str_shuffle($alphanum), 0, 5);

// choose one of two background images 
$bgNum = 2; // 2 - multi colored or 3 - cross hatched

// create an image object using the chosen background
$image = imagecreatefrompng("background$bgNum.png");

$textColor = imagecolorallocate ($image, 0, 0, 0); 

// write the code on the background image
imagestring ($image, 5, 5, 8,  $rand, $textColor);    

// create the hash for the verification code
// and put it in the session
$_SESSION['image_random_value'] = md5($rand);
    
// send several headers to make sure the image is not cached    
// taken directly from the PHP Manual
    
// Date in the past 
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 

// always modified 
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); 

// HTTP/1.1 
header("Cache-Control: no-store, no-cache, must-revalidate"); 
header("Cache-Control: post-check=0, pre-check=0", false); 

// HTTP/1.0 
header("Pragma: no-cache");

// send the content type header so the image is displayed properly
header('Content-type: image/png');

// send the image to the browser
imagepng($image);

// destroy the image to free up the memory
imagedestroy($image);

?>
